Bug 987797 - Library with capital first letter cannot be imported
Library with capital first letter cannot be imported
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dalibor Pospíšil
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: Fedora-beakerlib-1.9-3 1116317
  Show dependency treegraph
 
Reported: 2013-07-24 03:49 EDT by Dalibor Pospíšil
Modified: 2014-07-30 02:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: beakerlib-1.9-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-30 02:57:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libnamefix.patch (1.08 KB, patch)
2013-07-24 03:49 EDT, Dalibor Pospíšil
no flags Details | Diff

  None (edit)
Description Dalibor Pospíšil 2013-07-24 03:49:05 EDT
Created attachment 777639 [details]
libnamefix.patch

Library with capital first letter cannot be imported saying 'could not extract prefix'.

There is probably a typo in the regexp. Attached patch solves this issue.
Comment 1 Dalibor Pospíšil 2013-09-10 05:59:50 EDT
Hi Peter, is there any progress on it?
Comment 2 Petr Muller 2013-09-10 07:59:52 EDT
No. I would have updated this BZ otherwise.
Comment 3 Fedora End Of Life 2013-09-16 12:48:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Karel Srot 2014-01-15 11:29:10 EST
Hi Peter, is there anything we can do to get this patch into the beakerlib any time soon?  Thank you.
Comment 6 Miroslav Hradílek 2014-06-16 14:10:49 EDT
BUMP

What is stopping the update?
Comment 7 Petr Muller 2014-06-16 15:06:23 EDT
Nothing is stopping the update.
Comment 8 Dalibor Pospíšil 2014-06-17 03:30:35 EDT
The build is planned this week so if it is successful it would be available in our internal repos in near future.
Comment 9 Fedora Update System 2014-06-17 09:41:33 EDT
beakerlib-1.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-1.fc20
Comment 10 Fedora Update System 2014-06-17 19:29:04 EDT
Package beakerlib-1.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing beakerlib-1.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7442/beakerlib-1.9-1.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2014-07-02 04:01:14 EDT
beakerlib-1.9-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-2.fc20
Comment 12 Dalibor Pospíšil 2014-07-04 04:50:59 EDT
Please consider the package fixing this bug available in Fedora stable repos once bz1116308 is closed and RHEL stable repos once bz1116317 is closed.

Fixed in:
beakerlib-1.9-2.fc19
beakerlib-1.9-2.fc20
beakerlib-1.9-2.fc21
beakerlib-1.9-3.el5
beakerlib-1.9-2.el6
beakerlib-1.9-2.el7
Comment 13 Fedora Update System 2014-07-17 09:15:39 EDT
beakerlib-1.9-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-3.fc20
Comment 14 Fedora Update System 2014-07-30 02:57:10 EDT
beakerlib-1.9-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.